/* Variables  list */
var bussesInfo = null;
/* End Variables list */


function loadBusStopInfo()
{	
    $("#busStopTextArea").val(window.localStorage.getItem('user_busstop'));
}

//called from onclick of the button on busses page
function getBusStopInfoFromButton()
{
    window.localStorage.setItem('user_busstop', $("#busStopTextArea").val());
	
    var popupId = 'popupBusStop';
	number = $("#busStopTextArea").val();
	$.mobile.loading('show');
    $.ajax({  
        url: apiUrl+"/1/bus_stops/"+number,
        dataType: "jsonp",
		timeout: 5000,  
        success: function(data) { showBusStopInfo(data,popupId) },
		error: function() { showBusStopInfo('null',popupId) }  
    });
}

//called from nearby.js
function getBusStopInfo(number,popupId)
{
	$.mobile.loading('show');
    $.ajax({
           url: apiUrl+"/1/bus_stops/"+number,
           dataType: "jsonp",
           timeout: 5000,
           success: function(data) { showBusStopInfo(data,popupId) },
           error: function() { showBusStopInfo('null',popupId) }
           });
}

function showBusStopInfo(data,popupId)
{
	$.mobile.loading('hide');
		
	if (data.error == 'not_found' || data == 'null')
	{
		$("#busStopInfo").html("Invalid Bus Stop, please double check"); 	
		return;
	} else {
		showBusInfoPopup(data,popupId)
	}
}

function showBusInfoPopup(data,popupId)
{
	$.mobile.loading('hide');
	
	var busStopInfo = data.response;
	
	var htmlString = "<a href=\"#\" data-rel=\"back\" data-role=\"button\" data-theme=\"a\" data-icon=\"delete\" data-iconpos=\"notext\" class=\"ui-btn-right\">Close</a>"
	htmlString+="<p>Bus times for Stop <b>"+busStopInfo.stop_number+"</b></p>";
    htmlString+="<i>"+busStopInfo.name+"</i>";
	
	htmlString+= "<div data-role=\"collapsible-set\" id=\"collapsibleSet\">"; //collapsible
    
	for (var i in busStopInfo.times) {
		b = busStopInfo.times[i];
		
		htmlString+="<div data-role=\"collapsible\">"
		htmlString+="<h3>"+getStrColorHTML(b.time,true,b.time)+" <font color=black>Bus</font> <font color=green>"+b.route+"</font></h3>";

				htmlString+="Destination: "+b.destination+"<br>";
				htmlString+="Scheduled: <font color=\"blue\">"+b.time+"</font><br>";
				if (b.comment !== null)
				{
					htmlString+="Comment: "+b.comment+"<br>";
				}
        
		htmlString+="</div>"; //end collapsible
	}
	htmlString+="</div>"; //end parent collapsible
	
    $('#'+popupId).html(htmlString);
	$('#'+popupId).trigger('create'); 
	$('#collapsibleSet').find('div[data-role=collapsible]').collapsible({refresh:true}); //collapsible
	$('#'+popupId).popup("open");
}