/* Variables  list */
/* End Variables list */

/*
$(document).ready( function() {
});
*/
var ajaxCount;
var intervalSet = false;
var geoSuccess = false;
var setIntervalID;

function getNearbyFirstLoad()
{
    if (!geoSuccess)
    {
        getLocation();
    }
    getNearby(true);
    intervalSet = true;
}

function getNearby(pageOpened) {
	//getLocation(); //get geo, dont use using cordova.
    if (!intervalSet && !geoLocationError)
    {
        setIntervalID = setInterval(getNearby, 10000);
    } else {
        clearInterval(setIntervalID);
    }
    onDeviceReady();
    
	if (coord == null)
	{
		injectError();
	}
    else
    {
        geoSuccess = true;
        $("#timeOrError").html("<center>Location Updated: "+time+"</center>");
    }
    if (pageOpened)
    {
        $.mobile.loading('show');
    }
    ajaxCount = 0;
    $.ajax({
        url: apiUrl+"/1/bus_stops?near="+coord[0]+","+coord[1],
        dataType: "jsonp",  
        success: function(data) { showNearbyBuses(data) }  
    });
	$.ajax({  
        url: apiUrl+"/1/train_stations?near="+coord[0]+","+coord[1],
        dataType: "jsonp",  
        success: function(data) { showNearbyTrains(data) }  
    });
};

function injectError()
{
    $("#timeOrError").html("<center>Error, geo-location not enabled, check your settings, no co-ordinates received from the location provider</center>");
}

function hideSpinner()
{
    ajaxCount++;
    if(ajaxCount == 2)
    {
        $.mobile.loading('hide');
    }
}

function showNearbyBuses(data) {
    hideSpinner();
	var output = "";
	var popupSelector = 'popupNearby';
    
	busList = data.response;
	
	output+="<li data-role=\"list-divider\">Bus Stops</li>";
    for (var i in busList) { 		//need to use lowercase station identifier
		var coord2 = new Array();
		coord2[0] = busList[i].lat;
		coord2[1] = busList[i].lng;
		output+="<li onclick=getBusStopInfo("+busList[i].stop_number+",'"+popupSelector+"')>"+busList[i].stop_number+" - "+busList[i].name+" ("+calcDistance(coord,coord2)+")</li>";
    }
	
    $("#ulListBusses").html(output); 			//or .append()
	$("#ulListBusses").trigger('create');   	//create the JQM Objects 
	$("#ulListBusses").listview('refresh');
}

function showNearbyTrains(data) {
    hideSpinner();
	var output = "";	
	var popupSelector = 'popupNearby';
	
	trainList = data.response;
    
    if (data.count == 0)
    {
        output = "No Trains within 2.5km of your current location";
    }
    else
    {
        output+="<li data-role=\"list-divider\">Train Stations</li>";
        for (var i in trainList) { 		//need to use lowercase station identifier
            var coord2 = new Array();
            coord2[0] = trainList[i].lat;
            coord2[1] = trainList[i].lng;
		
            output+="<li onclick=grabStationInfo(\""+trainList[i].identifier+"\",'"+popupSelector+"')>"+trainList[i].name+" ("+calcDistance(coord,coord2)+")</li>";
        }   
    }
	
    $("#ulListTrains").html(output); 			//or .append()
	$("#ulListTrains").trigger('create');   	//create the JQM Objects 
	$("#ulListTrains").listview('refresh');
}