/* Variables  list */
var smartRiderInfo = null;
/* End Variables list */

function loadSmartRiderInfo()
{
    $("#smartRiderNumArea").val(window.localStorage.getItem('user_smartrider'));
}

function getSmartRiderInfo()
{
    window.localStorage.setItem('user_smartrider', $("#smartRiderNumArea").val());
    
    $.mobile.loading('show');
    var number = $("#smartRiderNumArea").val();
    $.ajax({
           url: apiUrl+"/1/smart_riders/"+number,
           dataType: "jsonp",
           timeout: 2000,
           success: function(data) { showSmartRiderInfo(data) },
           error: function() { showSmartRiderInfo('null') }
           });
}

function showSmartRiderInfo(data)
{
    $.mobile.loading('hide');
    
    if (data.error == 'not_found' || data == 'null')
    {
        //{"error":"not_found","error_description":"The requested resource could not be found."}
        $("#smartRiderInfo").html("Invalid Smartrider number, please double check, please ensure the number is 9 digits long");
        return;
    }
    
    sr = data.response;
    var output = "";
    
    output+="Balance: $"+sr.balance+"<br>";
    output+="Autoload: "+sr.autoload+"<br>";
    output+="Concession Type: "+sr.concession_type+"<br>";
    output+="Concession Expiry: "+sr.concession_expires+"<br>";
    
    $("#smartRiderInfo").html(output); 			//or .append()
    
}