/* Variables  list */
var apiUrl = "http://api-v2.perthtransit.com" //API URL
var coord = null;
var time = null;
var geoLocationError = false;
/* End Variables list */


//CORDOVA SPECIFIC
//
// Wait for Cordova to load
//
document.addEventListener("deviceready", onDeviceReady, false);
//
// Cordova is ready
//
function onDeviceReady() {
    getLocation();
    getTime();
	initAdmob();	
}

function getTime()
{
    time = "";
    var currentTime = new Date();
    var hours = currentTime.getHours();
    var minutes = currentTime.getMinutes();
    var seconds = currentTime.getSeconds();
    if (minutes < 10)
    {
        minutes = "0" + minutes
    }
    if (seconds < 10)
    {
        seconds = "0" + seconds
    }
    if (hours > 11)
    {
        time = hours + ":" + minutes + ":" + seconds + " PM";
    } else {
        time = hours + ":" + minutes + ":" + seconds + " AM";
    }
}

function initAdmob() {
    if (! AdMob ) { alert( 'admob plugin not ready' ); return; }
    AdMob.createBanner({
        adId : 'ca-app-pub-8857574131060704/7098153960',
        position : AdMob.AD_POSITION.BOTTOM_CENTER,
        autoShow : true
    });
}